Subject: Re: [PATCH v2] docs: fix --commit-list-format related entries

From: Mirko Faina <[email-masked]>
Date: Fri, 27 Mar 2026 01:20:59 +0100

On Thu, Mar 26, 2026 at 02:10:12PM -0700, Junio C Hamano wrote:
> Mirko Faina <[email-masked]> writes:
> 
> > On Thu, Mar 26, 2026 at 01:45:15PM -0700, Junio C Hamano wrote:
> >> Being verbose is usually a good way to discourage readers from
> >> reading.
> > ...
> >>     The use of this command line option implies `--cover-letter`,
> >>     unless explicitly countermanded with `--no-cover-letter`.
> >
> > this part in particular is no different than the original text:
> >
> >     This option implies the use of `--cover-letter` unless
> >     `--no-cover-letter` is given.
> >
> > If we want to emphasize that the configuration variable doesn't imply
> > --cover-letter, we have to add the note on `format.commitListFormat`.
> 
> I do not think so.  
> 
> If we mention a variable, the readers would wonder if the variable
> has effects.  You can explicitly say that that it does *not* have
> effect, but we are often better of not mentioning what is not
> relevant.

So the issue with the original is simply the fact that it wasn't
explicitly said from the command line? If that's the case then the v2
should be fine but without the note about the configuration variable,
i.e. "This option given from the command-line implies the use of
`--cover-letter` unless `--no-cover-letter` is given."

Thank you